using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Knowledge
{
    /// <summary>
    /// 知识库变更
    /// </summary>
    public class GetKnowledgeInfoUpdateInfo
    {
        /// <summary>
        /// 知识类别code
        /// </summary>
        [JsonPropertyName("CATEGORYCODE")]
        public string CategoryCode { get; set; }

        /// <summary>
        /// 知识类别名称
        /// </summary>
        [JsonPropertyName("CATEGORYNAME")]
        public string CategoryName { get; set; }

        /// <summary>
        /// 发布人
        /// </summary>
        [JsonPropertyName("PUBLISHPERSON")]
        public string PublishPerson { get; set; }

        /// <summary>
        /// 所属部门名称
        /// </summary>
        [JsonPropertyName("OUNAME")]
        public string OuName { get; set; }

        /// <summary>
        /// 知识名称
        /// </summary>
        [JsonPropertyName("KNAME")]
        public string KName { get; set; }

        /// <summary>
        /// 知识内容
        /// </summary>
        [JsonPropertyName("KCONTENT")]
        public string KContent { get; set; }

        /// <summary>
        /// 发布日期
        /// </summary>
        [JsonPropertyName("CREATDATE")]
        public DateTime? CreatDate { get; set; }

        /// <summary>
        /// 生效时间
        /// </summary>
        [JsonPropertyName("BEGINDATE")]
        public DateTime? BeginDate { get; set; }

        /// <summary>
        /// 失效时间
        /// </summary>
        [JsonPropertyName("DISABLEDATE")]
        public DateTime? DisableDate { get; set; }

        /// <summary>
        /// 上报知识唯一标识
        /// </summary>
        [JsonPropertyName("UID")]
        public string UID { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }

    }
}
